{% extends 'core/base.html' %}
{% load static %}

{% block extra_css %}
    <link rel="stylesheet" type="text/css" href="https://cdn.datatables.net/1.11.5/css/jquery.dataTables.css">
    <link href="{% static 'css/table.css' %}"
          rel="stylesheet">

    <style>
        .title {
            text-align: center;
            margin: 40px 20px 20px 0;
            font-weight: bold;
        }

        .content .head {
            margin-top: 50px;
            display: flex;
            justify-content: space-between;
            align-items: center;
            border-bottom: 1px solid #eeeeee;
        }

        .content .body {
            margin-top: 20px;
        }

    </style>
{% endblock %}

{% block content %}

    <div class="content">
        <div class="head">
            <h2 class="title">Lista de empleados</h2>
            <div class="action-form">
                <a class="btn button btn--danger" href="{% url 'employee:action_employee' action='add' %}">
                    Agregar nuevo empleado
                </a>
            </div>
        </div>
        {% include 'core/alert_message.html' %}
        <div class="body">
            <table class="table table-striped table-class" id="table-id">
                <thead>
                <tr>
                    <th>Nombre</th>
                    <th>Cargo</th>
                    <th>Edad</th>
                    <th>Acciones</th>
                </tr>
                </thead>
                <tbody>
                {% for emp in employees %}
                    <tr>
                        <td>{{ emp.name }}</td>
                        <td>{{ emp.position }}</td>
                        <td>{{ emp.years_old }}</td>
                        <td>
                            <a href="{% url 'employee:action_employee' action='edit' %}?id={{ emp.id }}">Editar</a>
                        </td>
                    </tr>
                {% endfor %}
                </tbody>
            </table>
        </div>
    </div>

{% endblock %}


{% block extra_js %}
    <script src="https://cdnjs.cloudflare.com/ajax/libs/jquery/3.3.1/jquery.min.js"></script>
    <script src="//cdn.datatables.net/1.11.5/js/jquery.dataTables.min.js"></script>

    <script>

        $(document).ready(function () {
            $('#table-id').DataTable({
                "language": {
                    "lengthMenu": "Mostrar _MENU_",
                    "zeroRecords": "No encontramos nada - lo siento!",
                    "info": "Mostrando página _PAGE_ de _PAGES_",
                    "search": "Buscar:",
                    "infoEmpty": "No se encontraron registros",
                    "infoFiltered": "(Filtrando de _MAX_ total registros)",
                    "paginate": {
                        "first": "Primero",
                        "last": "Ultimo",
                        "next": "Siguiente",
                        "previous": "Anterior"
                    },
                }
            });
        });
    </script>
{% endblock %}